//
//  UIViewController+ChangeUI.m
//  Open
//
//  Created by 雷俊博 on 2019/10/16.
//  Copyright © 2019 黄江涛 . All rights reserved.
//

#import "UIViewController+ChangeUI.h"



@implementation UIViewController (ChangeUI)

- (UIModalPresentationStyle)modalPresentationStyle{
    if (@available(iOS 13.0, *)) {
        if ([self isKindOfClass:[UIActivityViewController class]]) {
            return UIModalPresentationPageSheet;
        }else{
            return UIModalPresentationFullScreen;
        }
    }
    return UIModalPresentationPopover;
}


@end
